; Pi-hole's Lists Updater by Jack'lul
; https://github.com/jacklul/pihole-updatelists

; Remote list URL containing list of adlists to import
ADLISTS_URL="https://v.firebog.net/hosts/lists.php?type=tick"

; Remote list URL containing exact domains to whitelist
WHITELIST_URL="https://raw.githubusercontent.com/anudeepND/whitelist/master/domains/whitelist.txt"

; Remote list URL containing regex rules for whitelisting
REGEX_WHITELIST_URL=""

; Remote list URL containing exact domains to blacklist
; This is specifically for handcrafted lists only, do not use regular blocklists here!
BLACKLIST_URL=""

; Remote list URL containing regex rules for blacklisting
REGEX_BLACKLIST_URL=""

; =============================================================
; OPTIONAL PARAMETERS (and their default values)
; To change them you have to uncomment them first (remove prefixing ';')

; Comment string used to know which entries were created by the script
; You can still add your own comments to individual entries as long
; you keep this string intact
COMMENT="Automated"

; Assign additional group to all inserted entries
; To assign only the specified group (do not add to the default) make the number negative
; `0` is the default group, you can view ID of the group in Pi-hole's web interface
; by hovering mouse cursor over group name field on the 'Group management' page
;GROUP_ID=0

; Makes sure entries have the specified group assigned on each run
; This does not prevent you from assigning more groups through the web interface
; but can remove entries from the default group if GROUP_ID is negative number
; Do not enable this when you're running multiple different configs
;PERSISTENT_GROUP=false

; Prevent touching entries not created by this script by comparing comment field
; When disabled any user-created entry will be disabled
;REQUIRE_COMMENT=true

; Update gravity after lists are updated? (runs `pihole updateGravity`)
; When disabled invokes lists reload instead
; Set to 'null' to do nothing
;UPDATE_GRAVITY=true

; Vacuum database at the end? (runs `VACUUM` SQLite command)
; Will cause additional writes to disk
;VACUUM_DATABASE=false

; Show more information while the script is running
;VERBOSE=false

; Show debug messages for troubleshooting purposes
;DEBUG=false

; Maximum time in seconds one list download can take before giving up
; You should increase this when downloads fail because of timeout
;DOWNLOAD_TIMEOUT=60

; Ignore download failures when using multiple lists
; This will cause entries from the lists that failed to download to be disabled
;IGNORE_DOWNLOAD_FAILURE=false

; Location of gravity.db file in case you need to change it
;GRAVITY_DB="/etc/pihole/gravity.db"

; Process lockfile to prevent multiple instances of the script from running
; You shouldn't change it - unless `/var/lock` is unavailable
;LOCK_FILE="/var/lock/pihole-updatelists.lock"

; Log console output to file
; In most cases you don't have to set this as you can view the log in the system journal
; Put `-` before path to overwrite file instead of appending to it
;LOG_FILE=""

; Branch to pull remote checksum and update from
;GIT_BRANCH="master"
